import processing.serial.*; //<>//
import controlP5.*;

Serial myPort;
ControlP5 cp5;

int redValue = 0;
int greenValue = 0;
int blueValue = 0;

void setup() {
  size(350, 480);
  cp5 = new ControlP5(this);
  
  cp5.addSlider("redValue")
     .setPosition(20, 50)
     .setSize(300, 40)  // Nastavenie veľkosti slidra
     .setRange(0, 255)
     .setValue(redValue);
  
  cp5.addSlider("greenValue")
     .setPosition(20, 120)  // Posunutie slidra nižšie
     .setSize(300, 40)  // Nastavenie veľkosti slidra
     .setRange(0, 255)
     .setValue(greenValue);
  
  cp5.addSlider("blueValue")
     .setPosition(20, 190)  // Posunutie slidra nižšie
     .setSize(300, 40)  // Nastavenie veľkosti slidra
     .setRange(0, 255)
     .setValue(blueValue);

  myPort = new Serial(this, "COM7", 9600);  // Nastav správny port
}

void draw() {
  background(255);
  
  fill(redValue, greenValue, blueValue);
  rect(20, 250, 300, 200);
  
  fill(0);
  text("Red: " + redValue, 20, 40);
  text("Green: " + greenValue, 20, 110);
  text("Blue: " + blueValue, 20, 180);
  
  // Posielanie hodnôt do Arduina
  myPort.write(redValue);
  myPort.write(greenValue);
  myPort.write(blueValue);
}

void controlEvent(ControlEvent theEvent) {
  if (theEvent.isFrom("redValue")) {
    redValue = int(theEvent.getValue());
  }
  if (theEvent.isFrom("greenValue")) {
    greenValue = int(theEvent.getValue());
  }
  if (theEvent.isFrom("blueValue")) {
    blueValue = int(theEvent.getValue());
  }
}
